Bug 728587 - Incorrect display of multibyte characters in .Pa paragraphs of a manpage
Summary: Incorrect display of multibyte characters in .Pa paragraphs of a manpage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: man
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 17:39 UTC by Laurent GAUTROT
Modified: 2012-08-07 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:13:16 UTC


Attachments (Terms of Use)
Test manual page containing some multibytes in a .Pa (401 bytes, application/x-troff-man)
2011-08-05 17:39 UTC, Laurent GAUTROT
no flags Details

Description Laurent GAUTROT 2011-08-05 17:39:23 UTC
Created attachment 516930 [details]
Test manual page containing some multibytes in a .Pa

Description of problem:

In a manual page containing multibyte characters after a ".Pa" markup, the character won't be displayed correctly.

Please note that in the same manpage, other multibyte characters are correctly displayed.

Version-Release number of selected component (if applicable):

% man -V
man 2.5.9

How reproducible:

Always.

  
Steps to Reproduce:

1. write a manpage (for example "somefile.1") containing a ".Pa" markup with some multibyte characters
2. display the file with: man ./somefile.1

Actual results:

Multibyte is not correctly displayed

Expected results:

Multibyte is correctly displayed

Additional info:

Below is a test manpage containing multibyte characters. A file is also provided as attachment.

8<--
.Dd $Mdocdate: August 31 2010 $
.Dt SOMEFILE
.Sh TITRE
Ceci est un contenu avec des caractères multibytes. Normalement, ce texte est affiché correctement, notamment les caractères accentués.

.Pa Comment ça va ?

.Pa Pas mal, et vous-même ?

Et sinon, sans le formatage :

Comment ça va ?
Pas mal, et vous-même ?

(The same without format)

.Sh TITRE AVEC CARACTÈRES ACCENTUÉS : ÇA MARCHE !
8<--

Comment 1 Fedora End Of Life 2012-08-07 16:13:20 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.